org.wildfly.swarm.config.messaging.activemq.server

## Class Divert<T extends Divert<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.messaging.activemq.server.Divert<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class Divert<T extends Divert<T>>
      extends HashMap

  A messaging resource that allows you to transparently divert messages routed to one address to some other address, without making any changes to any client application logic.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Divert(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `divertAddress()` Address to divert from
    `T` | `divertAddress(String value)` Address to divert from
    `Boolean` | `exclusive()` Whether the divert is exclusive, meaning that the message is diverted to the new address, and does not go to the old address at all.
    `T` | `exclusive(Boolean value)` Whether the divert is exclusive, meaning that the message is diverted to the new address, and does not go to the old address at all.
    `String` | `filter()` An optional filter string.
    `T` | `filter(String value)` An optional filter string.
    `String` | `forwardingAddress()` Address to divert to
    `T` | `forwardingAddress(String value)` Address to divert to
    `String` | `getKey()`
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `String` | `routingName()` Routing name of the divert
    `T` | `routingName(String value)` Routing name of the divert
    `String` | `transformerClassName()` The name of a class used to transform the message's body or properties before it is diverted.
    `T` | `transformerClassName(String value)` The name of a class used to transform the message's body or properties before it is diverted.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### Divert

          public Divert(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### divertAddress

          public String divertAddress()

      Address to divert from

    - #### divertAddress

          public T divertAddress(String value)

      Address to divert from

    - #### exclusive

          public Boolean exclusive()

      Whether the divert is exclusive, meaning that the message is diverted to the new address, and does not go to the old address at all.

    - #### exclusive

          public T exclusive(Boolean value)

      Whether the divert is exclusive, meaning that the message is diverted to the new address, and does not go to the old address at all.

    - #### filter

          public String filter()

      An optional filter string. If specified then only messages which match the filter expression specified will be diverted. The filter string follows the ActiveMQ filter expression syntax described in the ActiveMQ documentation.

    - #### filter

          public T filter(String value)

      An optional filter string. If specified then only messages which match the filter expression specified will be diverted. The filter string follows the ActiveMQ filter expression syntax described in the ActiveMQ documentation.

    - #### forwardingAddress

          public String forwardingAddress()

      Address to divert to

    - #### forwardingAddress

          public T forwardingAddress(String value)

      Address to divert to

    - #### routingName

          public String routingName()

      Routing name of the divert

    - #### routingName

          public T routingName(String value)

      Routing name of the divert

    - #### transformerClassName

          public String transformerClassName()

      The name of a class used to transform the message's body or properties before it is diverted.

    - #### transformerClassName

          public T transformerClassName(String value)

      The name of a class used to transform the message's body or properties before it is diverted.

Copyright © 2017 JBoss by Red Hat. All rights reserved.